| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
eprosima::fastdds::statistics::StatusKind Module Reference

## Typedefs

typedef unsigned long | StatusKind

## Variables

const StatusKind | PROXY = 0
const StatusKind | CONNECTION_LIST = 1
const StatusKind | INCOMPATIBLE_QOS = 2
const StatusKind | INCONSISTENT_TOPIC = 3
const StatusKind | LIVELINESS_LOST = 4
const StatusKind | LIVELINESS_CHANGED = 5
const StatusKind | DEADLINE_MISSED = 6
const StatusKind | SAMPLE_LOST = 7
const StatusKind | EXTENDED_INCOMPATIBLE_QOS = 8
const StatusKind | STATUSES_SIZE = 9

## Typedef Documentation

## ◆ StatusKind

typedef unsigned long StatusKind

## Variable Documentation

## ◆ CONNECTION_LIST

const StatusKind CONNECTION_LIST = 1

## ◆ DEADLINE_MISSED

const StatusKind DEADLINE_MISSED = 6

## ◆ EXTENDED_INCOMPATIBLE_QOS

const StatusKind EXTENDED_INCOMPATIBLE_QOS = 8

## ◆ INCOMPATIBLE_QOS

const StatusKind INCOMPATIBLE_QOS = 2

## ◆ INCONSISTENT_TOPIC

const StatusKind INCONSISTENT_TOPIC = 3

## ◆ LIVELINESS_CHANGED

const StatusKind LIVELINESS_CHANGED = 5

## ◆ LIVELINESS_LOST

const StatusKind LIVELINESS_LOST = 4

## ◆ PROXY

const StatusKind PROXY = 0

## ◆ SAMPLE_LOST

const StatusKind SAMPLE_LOST = 7

## ◆ STATUSES_SIZE

const StatusKind STATUSES_SIZE = 9